Std Undo/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "==Utilizare== Click pe 32px sau alegeți {{KEY| Edit}} → {{KEY|32px Undo}} din meniul principal.<br /> Faceți clic pe săge...")
(Updating to match new version of source page)
 
(11 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
|
|[[Std_Redo|Redo]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=
|IconR=Std_Redo.svg
|IconC=Freecad.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand|Name=Std Undo|MenuLocation=[[Std_Edit_Menu|Edit]] → Undo|Workbenches=All|Shortcut=Ctrl+Z|SeeAlso=[[Std Redo|Redo]]}}
{{GuiCommand|Name=Std Undo|MenuLocation=[[Std_Edit_Menu|Edit]] → Undo|Workbenches=All|Shortcut=Ctrl+Z|SeeAlso=[[Std Redo|Redo]]}}
</div>


<div class="mw-translate-fuzzy">
==Descriere==
==Descriere==
Anulează exact o acțiune.
Anulează exact o acțiune.
</div>


The '''Std Undo''' command undoes the last action.

<div class="mw-translate-fuzzy">
==Utilizare==
==Utilizare==
Click pe [[Image:Std_Undo.png|32px]] sau alegeți {{KEY| Edit}} → {{KEY|[[Image:Std_Undo.png|32px]] Undo}} din meniul principal.<br />
Click pe [[Image:Std_Undo.png|32px]] sau alegeți {{KEY| Edit}} → {{KEY|[[Image:Std_Undo.png|32px]] Undo}} din meniul principal.<br />
Faceți clic pe săgeata în jos negru din partea dreaptă a iconiței pentru a obține o listă cu maxim 12 acțiuni de selectat.
Faceți clic pe săgeata în jos negru din partea dreaptă a iconiței pentru a obține o listă cu maxim 12 acțiuni de selectat.
</div>

# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Std_Undo.svg|16px]] [[Std_Undo|Std Undo]]}} button.
#* Select the {{MenuCommand|Edit → [[Image:Std_Undo.svg|16px]] Undo}} option from the menu.
#* Use the keyboard shortcut: {{KEY|Ctrl}}+{{KEY|Z}}.

==Options==

* To undo multiple actions click on the small black down arrow to the right of the {{Button|[[Image:Std_Undo.svg|16px]] [[Std_Undo|Std Undo]]}} button and select from the list.

==Preferences==

* The Undo/Redo functionality can be disabled by setting {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → Document → UsingUndo}} to {{FALSE}}, but this is not recommended. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].
* The maximum number of Undo/Redo steps is controlled by {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → Document → MaxUndoSize}}. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].

==Scripting==

{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

To undo the last action use the {{incode|undo}} method of the document object.

{{Code|code=
import FreeCAD

FreeCAD.ActiveDocument.undo()
}}

When running FreeCAD in pure console mode (CLI), the undo/redo mechanism isn't enabled by default. It must be explicitly activated for each document.

{{Code|code=
import FreeCAD

FreeCAD.ActiveDocument.UndoMode = 1
}}


==Limitations==
<br />


{{Docnav
==Notes==
|
<br />
|[[Std_Redo|Redo]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=
|IconR=Std_Redo.svg
|IconC=Freecad.svg
}}


{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Latest revision as of 11:57, 12 December 2021

Std Undo

Menu location
Edit → Undo
Workbenches
All
Default shortcut
Ctrl+Z
Introduced in version
-
See also
Redo

Descriere

Anulează exact o acțiune.

The Std Undo command undoes the last action.

Utilizare

Click pe sau alegeți Edit Undo din meniul principal.
Faceți clic pe săgeata în jos negru din partea dreaptă a iconiței pentru a obține o listă cu maxim 12 acțiuni de selectat.

  1. There are several ways to invoke the command:
    • Press the Std Undo button.
    • Select the Edit → Undo option from the menu.
    • Use the keyboard shortcut: Ctrl+Z.

Options

  • To undo multiple actions click on the small black down arrow to the right of the Std Undo button and select from the list.

Preferences

  • The Undo/Redo functionality can be disabled by setting Tools → Edit parameters... → BaseApp → Preferences → Document → UsingUndo to false, but this is not recommended. This setting can also be changed in the Preferences Editor.
  • The maximum number of Undo/Redo steps is controlled by Tools → Edit parameters... → BaseApp → Preferences → Document → MaxUndoSize. This setting can also be changed in the Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To undo the last action use the undo method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.undo()

When running FreeCAD in pure console mode (CLI), the undo/redo mechanism isn't enabled by default. It must be explicitly activated for each document.

import FreeCAD

FreeCAD.ActiveDocument.UndoMode = 1